> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trmlabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Reports



## OpenAPI

````yaml /specs/chainabuse-openapi.yaml get /reports
openapi: 3.0.0
info:
  title: Chainabuse API
  version: 0.1.0
  description: >
    The API uses Basic Authentication to authenticate requests. You can generate
    a new API key from your user profile on Chainabuse.
  contact:
    email: hello@chainabuse.com
servers:
  - url: https://api.chainabuse.com/v0
security:
  - basic: []
paths:
  /reports:
    get:
      tags:
        - Reports
      summary: Get Reports
      operationId: Reports
      parameters:
        - name: address
          in: query
          required: false
          description: (Optional if a domain is passed). Crypto addresses to screen.
          schema:
            type: string
        - name: before
          in: query
          required: false
          description: Optional. Threshold date to use as a filter.
          schema:
            type: string
            format: date-time
        - name: category
          in: query
          required: false
          description: Optional. Scam category to use as filter.
          schema:
            $ref: '#/components/schemas/ScamCategoryKind'
        - name: chain
          in: query
          required: false
          description: (Optional if a URL is passed). Chain to use as filter.
          schema:
            $ref: '#/components/schemas/ChainKind'
        - name: checked
          in: query
          required: false
          description: >
            Optional. True: report checked by our team of moderators including
            blockchain intelligence experts. False: report could not be verified
            by our team of moderators.
          schema:
            type: boolean
        - name: country
          in: query
          required: false
          description: >
            Optional. An ISO 3166-1 alpha-2 code e.g. AE for United Arab
            Emirates, CA for Canada, GB for United Kingdom, etc. Usage:
            ?country=CA to filter reports within Canada
          schema:
            type: string
        - name: domain
          in: query
          required: false
          description: (Optional if an address is passed). URL to screen.
          schema:
            type: string
        - name: includePrivate
          in: query
          required: false
          description: >
            Optional. Defaults to false. Only users with TRM_INTERNAL role can
            toggle. True: private reports are included in the response. False:
            private reports are hidden from the response.
          schema:
            type: boolean
            default: false
        - name: minLossAmount
          in: query
          required: false
          description: >-
            Optional. Filters reports with at least the amount passed
            (Currently, only usd asset are supported and others will be
            ignored).
          schema:
            type: number
            format: double
            minimum: 0
        - name: orderByDirection
          in: query
          required: false
          description: >
            ASC = latest reports first. DESC = oldest report first if several
            reports are pulled out.
          schema:
            type: string
            enum:
              - ASC
              - DESC
        - name: orderByField
          in: query
          required: false
          description: Orders reports by date if several reports are pulled out.
          schema:
            type: string
            enum:
              - CREATED_AT
              - SUBMITTED_BY
        - name: page
          in: query
          required: false
          description: >-
            Optional. Number of pages of reports to pull out. The maximum number
            of reports per page is 50.
          schema:
            type: number
            format: double
            default: 1
            minimum: 1
        - name: perPage
          in: query
          required: false
          description: >-
            Optional. Number of reports to display per page. The maximum number
            of reports per page is 50.
          schema:
            type: number
            format: double
            default: 50
            minimum: 1
            maximum: 50
        - name: scammerIoc
          in: query
          required: false
          description: Optional. Filters reports based on passed indicator of compromise.
          schema:
            type: string
        - name: since
          in: query
          required: false
          description: Optional. Start date to use as a filter.
          schema:
            type: string
            format: date-time
        - name: trusted
          in: query
          required: false
          description: >
            Optional. True: reported by a trusted contributor, based on how this
            Partner detects and verifies information. False: the reporter is not
            registered as a trusted contributor.
          schema:
            type: boolean
        - name: username
          in: query
          required: false
          description: Optional. The contributor's username.
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                type: object
                required:
                  - reports
                  - count
                properties:
                  reports:
                    type: array
                    items:
                      $ref: '#/components/schemas/ReportPayload'
                  count:
                    type: number
                    format: double
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - basic: []
components:
  schemas:
    ScamCategoryKind:
      type: string
      enum:
        - RUG_PULL
        - UKRANIAN_DONATION_SCAM
        - DONATION_SCAM
        - SEXTORTION
        - SIM_SWAP
        - PHISHING
        - RANSOMWARE
        - CONTRACT_EXPLOIT
        - AIRDROP
        - ROMANCE
        - PIGBUTCHERING
        - OTHER
        - FAKE_PROJECT
        - OTHER_BLACKMAIL
        - IMPERSONATION
        - FAKE_RETURNS
        - UPGRADE_SCAM
        - MAN_IN_THE_MIDDLE_ATTACK
        - OTHER_HACK
        - OTHER_INVESTMENT_SCAM
    ChainKind:
      type: string
      enum:
        - BTC
        - ETH
        - TRON
        - SOL
        - POLYGON
        - BINANCE
        - HBAR
        - CARDANO
        - LITECOIN
        - AVALANCHE
        - MULTIVERSX
        - ARBITRUM
        - ALGORAND
        - BASE
        - TON
    ReportPayload:
      type: object
      required:
        - addresses
        - createdAt
        - trusted
        - id
      properties:
        id:
          type: string
          description: Report ID
        trusted:
          type: boolean
          description: Reported by a contributor registered as trusted on Chainabuse.
        checked:
          type: boolean
        isPrivate:
          type: boolean
        scamCategory:
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
        description:
          type: string
        descriptionMarkdown:
          type: string
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/ReportAddress'
        losses:
          type: array
          items:
            type: object
            required:
              - amount
              - asset
            properties:
              amount:
                type: number
                format: double
              asset:
                $ref: '#/components/schemas/AssetKind'
        accusedScammers:
          type: array
          items:
            $ref: '#/components/schemas/AccusedScammer'
        evidences:
          type: array
          items:
            type: string
        ips:
          type: array
          items:
            type: string
      example:
        id: 52907745-7672-470e-a803-a2f8feb52944
        trusted: true
        checked: true
        scamCategory: RUG_PULL
        createdAt: '2022-09-09T04:53:16.591Z'
        addresses:
          - address: 12QeMLzSrB8XH8FvEzPMVoRxVAzTr5XM2y
            chain: BTC
            domain: null
          - address: null
            chain: null
            domain: scammer.com
    ErrorResponse:
      type: object
      required:
        - reason
      properties:
        reason:
          type: string
    ReportAddress:
      type: object
      required:
        - domain
        - address
      properties:
        domain:
          type: string
          nullable: true
        chain:
          type: string
          nullable: true
        address:
          type: string
          nullable: true
    AssetKind:
      type: string
      nullable: false
      enum:
        - OTHER
        - BTC
        - ETH
        - TRON
        - SOL
        - POLYGON
        - BINANCE
        - HBAR
        - CARDANO
        - LITECOIN
        - AVALANCHE
        - MULTIVERSX
        - ARBITRUM
        - ALGORAND
        - BASE
        - TON
        - AED
        - AFN
        - ALL
        - AMD
        - ANG
        - AOA
        - ARS
        - AUD
        - AWG
        - AZN
        - BAM
        - BBD
        - BDT
        - BGN
        - BHD
        - BIF
        - BMD
        - BND
        - BOB
        - BOV
        - BRL
        - BSD
        - BTN
        - BWP
        - BYN
        - BZD
        - CAD
        - CDF
        - CHE
        - CHF
        - CHW
        - CLF
        - CLP
        - CNY
        - COP
        - COU
        - CRC
        - CUC
        - CUP
        - CVE
        - CZK
        - DJF
        - DKK
        - DOP
        - DZD
        - EGP
        - ERN
        - ETB
        - EUR
        - FJD
        - FKP
        - GBP
        - GEL
        - GHS
        - GIP
        - GMD
        - GNF
        - GTQ
        - GYD
        - HKD
        - HNL
        - HRK
        - HTG
        - HUF
        - IDR
        - ILS
        - INR
        - IQD
        - IRR
        - ISK
        - JMD
        - JOD
        - JPY
        - KES
        - KGS
        - KHR
        - KMF
        - KPW
        - KRW
        - KWD
        - KYD
        - KZT
        - LAK
        - LBP
        - LKR
        - LRD
        - LSL
        - LYD
        - MAD
        - MDL
        - MGA
        - MKD
        - MMK
        - MNT
        - MOP
        - MRU
        - MUR
        - MVR
        - MWK
        - MXN
        - MXV
        - MYR
        - MZN
        - NAD
        - NGN
        - NIO
        - NOK
        - NPR
        - NZD
        - OMR
        - PAB
        - PEN
        - PGK
        - PHP
        - PKR
        - PLN
        - PYG
        - QAR
        - RON
        - RSD
        - RUB
        - RWF
        - SAR
        - SBD
        - SCR
        - SDG
        - SEK
        - SGD
        - SHP
        - SLL
        - SOS
        - SRD
        - SSP
        - STN
        - SVC
        - SYP
        - SZL
        - THB
        - TJS
        - TMT
        - TND
        - TOP
        - TRY
        - TTD
        - TWD
        - TZS
        - UAH
        - UGX
        - USD
        - USN
        - UYI
        - UYU
        - UYW
        - UZS
        - VES
        - VND
        - VUV
        - WST
        - XAF
        - XAG
        - XAU
        - XBA
        - XBB
        - XBC
        - XBD
        - XCD
        - XDR
        - XOF
        - XPD
        - XPF
        - XPT
        - XSU
        - XTS
        - XUA
        - XXX
        - YER
        - ZAR
        - ZMW
        - ZWL
    AccusedScammer:
      type: object
      required:
        - info
      properties:
        info:
          type: array
          items:
            type: object
            required:
              - type
              - contact
            properties:
              type:
                $ref: '#/components/schemas/AccusedScammerContactInfoKind'
              contact:
                type: string
    AccusedScammerContactInfoKind:
      type: string
      enum:
        - NAME
        - EMAIL
        - PHONE
        - DISCORD
        - TELEGRAM
        - TWITTER
        - INSTAGRAM
        - GITHUB
        - FACEBOOK
        - WHATSAPP
        - TIKTOK
        - YOUTUBE
        - OTHER
  securitySchemes:
    basic:
      type: http
      scheme: basic

````